ptf #
//*********  Version: 9 Februari 2016 13:49  *******
@logactivities:  // Indicates that this version uses log activities for entities.  (name.logact) 

// Adding   @forceLogKreactions:   here will force the graphical editor to rewrite all reactions in log K format.  
// Adding   @forceLinKreactions:   here will force the graphical editor to rewrite all reactions in linear K format. 
// The grapical editor will not change the original format of reactions in inputfile otherwise. 
@NrDigits: 12  // number of decimal places in reaction coefficients. 

//********* The database file(s) *******
// This section list the database files that are used by the interactive chemistry editor
// Syntax for local files:                   @database: minteq.txt
// Syntax for files on the internet:         @database: www.meeussen.nl/orchestra/minteqv4.txt

@database: ../../bin/minteqv4.txt
@database: ../../bin/adsmodels.txt
//********* End of the database file(s) *******


//********* Generate output variables  *******
//********* End of output variables  *******




//********* The variables *******
@globalvar: H2O.logact 0
@Var: DFA_kgl 1.0E-6  //   
@Var: DHA_kgl 1.0E-6  //   
@Var: H+.logact 1.0  //  **
@Var: Ni+2_inorg 1.0E-9  //   
@Var: chargeHA -0.9  //   
@Var: pH NaN  //   
@Var: watervolume 1.0  //  
@Var: Qmax1H #Qmax1           #//  maximum site density HA-1 binding sites
@Var: Qmax2H #Qmax2           #//  maximum site density HA-2 binding sites
@var: mh1  #mh1             #  //  coefficient for HA-1 binding sites
@var: mh2  #mh2             #  //  coefficient for HA-2 binding sites
@var: logkh1 #logkh1           # // log binding constant HA-1 binding sites
@var: logkh2 #logkh2           # // log binding constant HA-2 binding sites
@var: adon   0.77  //  a-parameter to be used in the calculation of the Donnan volume
@var: bdon   -0.33 //  b-parameter to be used in the calculation of the Donnan volume
//********* End of the variables *******


//********* The extra expressions *******
//*  The format of extra expressions is: 
//*  Stage:(1,"expression") 
//* (Stage: is used instead of Calc: here to prevent interpretation by the GUI.)
//*  For the calculations Stage: and Calc: are equivalent.
@Stage: (5,  "chargeHA = {HA1-H.HA_part} +{HA2-H.HA_part} - {Qmax1H} - {Qmax2H}")
//********* End of the extra expressions *******

//********* The phases *******
@phase(gas)
@phase(tot)
@phase(liter)
@link_phase(liter, tot, "watervolume")
@phase(diss)
@link_phase(diss, liter, "1")
@phase(DHA_part_l)
@link_phase(DHA_part_l, liter, "1")
@phase(HA_part)
@link_phase(HA_part, DHA_part_l, "DHA_kgl")
//********* End of the phases *******

// The uiobjects1 class can be used to add user defined content. 
// It is literally read and written by the GUI.
@class: uiobjects1(){%
   @include: uiobjects.txt
%}
@uiobjects1()

@globalvar: I .1
@davies()


//********* The primary entities *******
@species(Cl-, -1)
@primary_entity(Cl-, -9.0, diss, 1.0E-9)
@Global: pH
@Var: H+.logact  1 **
@Calc:(1, "H+.logact = -pH")
@species(H+, 1)
@primary_entity(H+, pH, -9.0)
@entity(H2O, diss, 55.6 )
@primary_entity(H2O, 0.0)
@species(K+, 1)
@primary_entity(K+, -9.0, diss, 1.0E-9)
//******************************

//********* The entities *******

@species(OH-, -1)
@reaction(OH-,  1.00693e-14 , -1.0, H+, 1.0, H2O)

@class: extra_entities(){%
 // Here you can put some arbitrary extra code.   
%}
@extra_entities()




//********* The minerals *******
// This version can use external mineral files.

// Syntax: @xternal_mineral_file: name.txt
//********* End of the minerals *******


//********* Adsorption Models *******

//********* Adsorption Model HA *******************

@nicamodel(HA, HA_part, 1, "10^(adon+bdon*log10(I))")

//** Automatically generated donnan species for HA
@donnanspecies(Cl-_HA_don, HA_don, Cl-, -1)
@donnanspecies(H+_HA_don, HA_don, H+, 1)
@donnanspecies(K+_HA_don, HA_don, K+, 1)
@donnanspecies(OH-_HA_don, HA_don, OH-, -1)

@nicasite(HA1, HA, HA_don, 1.0, Qmax1H )
@nicaspecies(HA1-H, HA1, H+_HA_don, mh1, mh1, logkh1 )

@nicasite(HA2, HA, HA_don, 1.0, Qmax2H )
@nicaspecies(HA2-H, HA2, H+_HA_don, mh2, mh2, logkh2 )
//********* End of Adsorption Model HA *************

//********* End of Adsorption Models *******
//********* add @userfriendlyformat: to get ouput of reactions in user friendly format *******
